Bug 863935 - Can not add mysql or postgresql cartridges to the same application with mongodb embeded.
Can not add mysql or postgresql cartridges to the same application with mong...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 02:27 EDT by Yujie Zhang
Modified: 2015-05-14 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:47:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-10-08 02:27:53 EDT
Description of problem:

After I added mongodb to the application,I tried to add mysql or postgresql cartridge to the same application, but caught error message which says "Only 1 embedded database permitted - application currently has 'mongodb-2.2'", CLI and website will get the same result.

PS, with mysql or postgresql embeded, I can add mongodb successfully.

Version-Release number of selected component (if applicable):

devenv_2295

How reproducible:always


Steps to Reproduce:
1.Go to openshift website and login
2.Create an application and add mongodb cartridge
3.Try to add mysql or postgresql cartridge.
  
Actual results:

Can not add mysql  or postgresql cartridges to the same application with mongodb embeded. 

Expected results:

We should be able to add mysql or postgresql cartridge to the same application with mongodb embeded.

Additional info:
Comment 1 Mrunal Patel 2012-10-08 17:34:57 EDT
Fixed with https://github.com/openshift/origin-server/pull/617

Note: Only one embedded db is allowed per app. So, with the fix can only embed one of the three DBs in a non-scalable app.
Comment 2 Xiaoli Tian 2012-10-09 00:58:01 EDT
Above pull request is merged in devenv_2301, move it to ON_QA to verify earlier.
Comment 3 Yujie Zhang 2012-10-09 02:30:49 EDT
(In reply to comment #1)
Tested this issue on devenv_2301, it has been fixed now, only one embedded db is allowed.

Note You need to log in before you can comment on or make changes to this bug.